Open SCAP Library

Public Member Functions | Data Fields
oval_reference Struct Reference
OVAL » OVALDEF

An Oval_reference links an Oval_definition to a definitive external reference. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_reference * | oval_reference_new (struct oval_definition_model *)
struct oval_reference * | oval_reference_clone (struct oval_definition_model *new_model, struct oval_reference *old_reference)
void | oval_reference_free (struct oval_reference *)
Setters
void | oval_reference_set_source (struct oval_reference *, char *)
| Set OVAL reference source.
void | oval_reference_set_id (struct oval_reference *, char *)
void | oval_reference_set_url (struct oval_reference *, char *)
Getters
char * | oval_reference_get_source (struct oval_reference *)
| Get OVAL reference source. More...
char * | oval_reference_get_id (struct oval_reference *)
| Get OVAL reference ID. More...
char * | oval_reference_get_url (struct oval_reference *)
| Get OVAL reference URL. More...

## Data Fields
struct oval_definition_model * | model
char * | source
char * | id
char * | url

## Detailed Description

An Oval_reference links an Oval_definition to a definitive external reference.

For example, CVE Identifiers for vulnerabilities. The intended purpose for this reference is to link the definition to a variety of other sources that address the same issue being specified by the Oval_definition.

The documentation for this struct was generated from the following files:

- oval_reference.c
- oval_definitions.h